summaryrefslogtreecommitdiff
path: root/packaging/RedHat/smb.init
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/RedHat/smb.init')
-rwxr-xr-xpackaging/RedHat/smb.init15
1 files changed, 12 insertions, 3 deletions
diff --git a/packaging/RedHat/smb.init b/packaging/RedHat/smb.init
index 260439281a..5419b2b9c6 100755
--- a/packaging/RedHat/smb.init
+++ b/packaging/RedHat/smb.init
@@ -13,8 +13,10 @@
# Check that networking is up.
[ ${NETWORKING} = "no" ] && exit 0
+CONFIG=/etc/samba/smb.conf
+
# Check that smb.conf exists.
-[ -f /etc/samba/smb.conf ] || exit 0
+[ -f $CONFIG ] || exit 0
# See how we were called.
case "$1" in
@@ -22,19 +24,26 @@ case "$1" in
echo -n "Starting SMB services: "
daemon smbd -D
daemon nmbd -D
+ if [ "`grep -i 'winbind uid' /etc/samba/smb.conf | egrep -v [\#\;]`" ]; then
+ daemon winbindd
+ fi
echo
touch /var/lock/subsys/smb
;;
stop)
echo -n "Shutting down SMB services: "
- killproc smbd
- killproc nmbd
+ killproc smbd -TERM
+ killproc nmbd -TERM
+ if [ "`ps -ef | grep winbind | grep -v grep`" ]; then
+ killproc winbindd
+ fi
rm -f /var/lock/subsys/smb
echo ""
;;
status)
status smbd
status nmbd
+ status winbindd
;;
restart)
echo -n "Restarting SMB services: "